# Langevin dynamics

## Learning objectives (physics)

* Learning the basics of Brownian motion
* Modeling the Brownian motion of a spherical object
* Calculating the diffusion coefficient of a spherical object using the
  mean square displacement and Green-Kubo relation

After the tutorial, students should be able to:

* Explain the microscopic origin of diffusion and how it is captured in the Langevin equation
* Describe a typical mean-square-displacement plot and identify the different regimes
* Estimate the diffusion coefficient from time series of a particle's position or velocity
* Name the limitations of the Langevin equation, particularly with regards to hydrodynamic interactions

## Learning objectives (ESPResSo)

* Setting up a system in which particles move according to the Langevin equation
* Calculating the diffusion coefficient using observables and accumulators based
  on the mean square displacement and the velocity autocorrelation function
